Project

Profile

Help

Task #4322

Trim packages installed in new pulp3-devel role to be minimal set

Added by CodeHeeler 9 months ago. Updated 6 months ago.

Status:
MODIFIED
Priority:
Normal
Assignee:
Category:
-
Sprint/Milestone:
Start date:
Due date:
% Done:

100%

Platform Release:
Blocks Release:
Backwards Incompatible:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Dev Environment, Pulp 3 installer
QA Contact:
Complexity:
Smash Test:
Verified:
No
Verification Required:
No
Sprint:

Description

Remove some outdated or nice-to-have-but-not-used-by-everyone packages from the "Install several useful packages" block of ansible-pulp3/roles/pulp3-devel/tasks/main.yml to streamline the developer environment for more efficient install time.

Associated revisions

Revision 342247cf View on GitHub
Added by CodeHeeler 9 months ago

Install minimal set of packages in new pulp3-devel role

Remove packages not used by everyone, or outdated no longer required.
Alphabetize vars list in source-install.yml as it's grown in length.
Remove preset and phttp from aliases.

fixes #4322
https://pulp.plan.io/issues/4322

History

#1 Updated by CodeHeeler 9 months ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to CodeHeeler

#2 Updated by amacdona@redhat.com 9 months ago

Comments on this PR will be useful for this task: https://github.com/pulp/ansible-pulp3/pull/61#pullrequestreview-192224864

#3 Updated by CodeHeeler 9 months ago

  • Status changed from ASSIGNED to POST

#4 Updated by CodeHeeler 9 months ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#5 Updated by daviddavis 6 months ago

  • Sprint/Milestone set to 3.0

#6 Updated by bmbouter 6 months ago

  • Tags deleted (Pulp 3)

Please register to edit this issue

Also available in: Atom PDF